QGIS Application - Bug report #11926
Change the configuration directory location to the new standard
2014-12-29 09:52 AM - Bogdan Hlevca

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.6.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 20135
Description

Currently QGIS stores its configuration and history settings in $HOME/.qgis2 directory.

This is an obsolete standard that pollutes the home directory of the user with hundred of files.

The new XDG standard is to put such files in a common place ~/.config and ~/.local that will mean tha QGIS sohould put its configuration
files in ~/.config/qgis2 and other things in ~/.local/qgis2 as it is documented in the documented below.

[[https://wiki.archlinux.org/index.php/Xdg_user directories]]

More and more applications do that. Please help the Linux community to have a clean home directory. Thanks.

History

#1 - 2017-05-01 01:07 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

2024-04-17 1/1



https://wiki.archlinux.org/index.php/Xdg_user_directories
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

